<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Passive Network Discovery Report</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/pnd-report.html">Open topic with navigation</a>
        </p>
        <h1>Passive Network Discovery Report</h1>
        <p>The Passive Network Discovery MetaModule monitors traffic on a specific network interface to capture broadcast traffic on the network. It performs a passive network scan, so that it can stealthily monitor traffic to detect hosts, identify ports and services, and capture Basic Authentication credentials, while evading detection by network monitoring tools.The captured data is sanitized and presented in the Passive Network Discovery Findings Report. </p>
        <p>To help you navigate through the data to find key information, the Passive Network Discovery report is organized into the following sections:  </p>
        <ul>
            <li value="1">Project Summary</li>
            <li value="2">Findings Summary</li>
            <li value="3">Host and Service Distribution</li>
            <li value="4">Detailed Findings</li>
            <li value="5">Appendix</li>
        </ul>
        <h2>Project Summary</h2>
        <p>The Project Summary shows the project name and the user who generated the report. </p>
        <p>
            <img src="../Resources/Images/reports/reports-pnd-project-summary_352x80.png" style="width: 352;height: 80;" />
        </p>
        <h2>Findings Summary</h2>
        <p>The Findings Summary section provides an overview of the data captured by the Passive Network Discovery&#160;MetaModule. </p>
        <p>
            <img src="../Resources/Images/reports/reports-pnd-findings-summary_363x134.png" style="width: 363;height: 134;" />
        </p>
        <p>It includes the following data:</p>
        <ul>
            <li value="1"><b>Total Runtime</b> - The total runtime for the  Passive Network Discovery MetaModule.</li>
            <li value="2"><b>Packets Captured</b> - The total number of packets captured during the  Passive Network Discovery MetaModule run.</li>
            <li value="3"><b>Data Captured</b> - The total amount of data captured during the  Passive Network Discovery MetaModule run. </li>
            <li value="4"><b>Capture Files Created</b> - The total number of pcap files created during the  Passive Network Discovery MetaModule run. <span class="VariablesProductName">Metasploit Pro</span> creates multiple pcap files if the maximum file size  is reached before the MetaModule run ends.</li>
            <li value="5"><b>Hosts Discovered</b> - The total number of hosts that were discovered during the  scan. </li>
            <li value="6"><b>Services Discovered</b> - The total number of services that were discovered during the  scan. </li>
            <li value="7"><b>Credentials Discovered</b> - The total number of plaintext credentials that were used to authenticate with Basic authentication. </li>
        </ul>
        <h2>Host and Service Distribution</h2>
        <p>The Host and Service Distribution section presents a graphical breakdown of hosts and ports that the  Passive Network Discovery MetaModule discovered.</p>
        <p>This section displays the following graphs:</p>
        <ul>
            <li value="1"><b>The Top 5 Hosts by Active Services graph</b> - Shows the relative distribution of the top five hosts with the most number of services. <br /><br /><img src="../Resources/Images/reports/reports-pnd-tophosts_200x125.png" style="width: 200;height: 125;" /></li>
            <li value="2"><b>The Top 5 Active Services by Port graph</b> - Shows the relative distribution of the top five services discovered by the Passive Network Discovery MetaModule.<br /><br /><img src="../Resources/Images/reports/reports-pnd-topports_205x111.png" style="width: 205;height: 111;" /></li>
        </ul>
        <h2>Detailed Findings</h2>
        <p>The Detailed Findings section provides granular details for each host that was discovered during the MetaModule run.  If the MetaModule was unable to identify additional information for a host, such as service or login data, the host will be listed under the Other Hosts section. </p>
        <p>The Detailed Findings section provides the following data:</p>
        <ul>
            <li value="1">The name and IP address of each host.</li>
            <li value="2">The port, name, protocol, port state, and information for each service that was discovered on the host.</li>
            <li value="3">The usernames and plaintext passwords that were   captured by the MetaModule. <br /><br />The Passive Network Discovery MetaModule only captures credentials that were authenticated using Basic Authentication. A captured credential does not imply that it successfully authenticated to a server. It only indicates that there was an attempt to use those credentials, but the results of the authentication attempt are unknown. The date and time of the authentication attempt are recorded in the report. </li>
        </ul>
        <h3>Other Hosts</h3>
        <p>The Other Hosts section lists all hosts that do not have service or login data. The  Passive Network Discovery MetaModule was able to detect these hosts on the network, but was unable to capture any additional data about them. </p>
        <h2>Appendix: Report Options</h2>
        <p>The Appendix lists the options that were used to create the Passive Network Discovery Report. It lists the report sections that were generated, the report options that were used to create the report, and the Berkeley Packet Filter strings that the MetaModule used to capture packets.</p>
        <h2>Passive Network Discovery Report Options </h2>
        <table style="width: 100%;border-spacing: 0px 0px;border-left-style: none;border-left-width: 0px;border-left-color: #a9a9a9;border-right-style: none;border-right-width: 0px;border-right-color: #a9a9a9;border-top-style: none;border-top-width: 0px;border-top-color: #a9a9a9;border-bottom-style: none;border-bottom-width: 0px;border-bottom-color: #a9a9a9;margin-left: auto;margin-right: auto;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <thead>
                <tr>
                    <th class="default">Report Settings</th>
                    <th class="default">Options</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <p class="tableBody">Output formats</p>
                    </td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>
                        <p class="tableBody">Report options </p>
                    </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Masks all credentials, including plain text passwords, hashes, and SSH keys, from the report. It replaces the private value with <code>*MASKED*</code>. </p>
                        <p class="tableBody"><b>Include charts</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>
                        <p class="tableBody">Report sections</p>
                    </td>
                    <td>
                        <p class="tableBody">Project Summary</p>
                        <p class="tableBody">Findings Summary</p>
                        <p class="tableBody">Host and Service Distribution</p>
                        <p class="tableBody">Detailed Findings</p>
                        <p class="tableBody">Other Hosts</p>
                        <p class="tableBody">Appendix: Report Options</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>